Saltar al contenido principal
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
Esta es una API experimental. El formato de la solicitud y de la respuesta puede cambiar sin previo aviso.
Envía una consulta de búsqueda en el campo query. La API devuelve resultados estructurados que incluyen títulos, URLs, fragmentos de contenido y fechas. Proveedores de búsqueda:
  • brave (predeterminado) — Brave Search con Zero Data Retention (ZDR). Las consultas de búsqueda nunca se almacenan ni se registran por parte del proveedor de búsqueda.
  • google — Google Search con consultas anonimizadas. Las búsquedas se enrutan a través de la infraestructura de Venice para que tu identidad no quede asociada a la solicitud de búsqueda enviada a Google. Venice no almacena ni registra las consultas de búsqueda.
Precio: 0,01 $ por solicitud.

Ejemplo (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
query
string
requerido

The search query

Required string length: 1 - 400
Ejemplo:

"latest news about AI"

limit
integer
predeterminado:10

Maximum number of results to return (default: 10, max: 20)

Rango requerido: 1 <= x <= 20
Ejemplo:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

Opciones disponibles:
google,
brave
Ejemplo:

"brave"

Respuesta

Successfully executed search

query
string
requerido

The search query that was executed

results
object[]
requerido

The search results